Bug 35373 - build-cd-ucs4 should create and update ucs_4.0-0-latest-amd64.iso
build-cd-ucs4 should create and update ucs_4.0-0-latest-amd64.iso
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer - DVD
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Sönke Schwardt-Krummrich
Felix Botner
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-15 17:45 CEST by Sönke Schwardt-Krummrich
Modified: 2014-11-26 06:55 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2014-07-15 17:45:36 CEST
The script build-cd-ucs4 should create and update the symlink 
ucs_4.0-0-latest-amd64.iso
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2014-07-16 12:46:35 CEST
build-cd-ucs4 has been updated. Package repo-ng is currently built by dimma.
Comment 2 Felix Botner univentionstaff 2014-08-25 17:22:12 CEST
OK 

-> ls -al /var/univention/buildsystem2/isotests/ucs_4.0-0-latest-amd64.iso 
lrwxrwxrwx 1 root build 77 25. Aug 15:43 /var/univention/buildsystem2/isotests/ucs_4.0-0-latest-amd64.iso -> /var/univention/buildsystem2/isotests/ucs_4.0-0-20140825-151502-dvd-amd64.iso

OK - Changelog
Comment 3 Philipp Hahn univentionstaff 2014-08-26 14:43:58 CEST
r53034 | Bug #35373 CD: update symlink ucs_4.0-0-latest-amd64.iso in build-cd-ucs4
  Create relative symlink (as this breaks some NFS and --bind mounts)

$ readlink /var/univention/buildsystem2/isotests/ucs_4.0-0-latest-amd64.iso
ucs_4.0-0-20140826-142233-dvd-amd64.iso

Package: repo-ng
Version: 2.0-64.1310.201408261437
Branch: ucs_3.2-0
Scope: internal
Comment 4 Felix Botner univentionstaff 2014-08-26 15:56:08 CEST
OK
Comment 5 Stefan Gohmann univentionstaff 2014-11-26 06:55:03 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".